clc
clear variables

names = { 'F1', 'F3', 'Branin', 'Camelback', 'Goldprice', 'PShubert1', 'PShubert2', 'Quartic', 'Shubert', 'Hartman1', 'Shekel1', 'Shekel2', 'Shekel3', 'Hartman2', 'Hosc45', 'Brown1', 'Brown3', 'F5n', 'F10n', 'F15n' }

for j=1:size(names,2)
    configfile = sprintf( 'functions-0.0.2/%sconfig', cell2mat(names(j)) )
    run( configfile )
    foutfile = sprintf( '%s.out', Name );
    fout = fopen( foutfile, 'w' );
    for i=1:100
        x0 = rand(1,Dim).*(ub-lb)+lb;
        y0 = F(x0);
        fc = 1;
        while fc < 2000000 && y0-opt>Prec
            x1 = rand(1,Dim).*(ub-lb)+lb;
            y1 = F(x1);
            fc = fc + 1;
            if y1 < y0
                y0 = y1;
                display( sprintf( '%d %d %g\n', fc, y0 ));
            end
        end
	 fprintf( fout, '%d %g\n', fc, y0 );
    end
    fclose( fout );
end